%define         hgrev        hg653
%define         srcversion   9262f9205898
%define         srcname      SDL_sound

%define         major        1
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname -d %{name}
%define         staticname   %mklibname -d -s %{name}

%define         rel 5

Name:           sdl2_sound
Version:        1.0.4
Release:        %mkrel -c %{hgrev} %{rel}
Summary:        An abstract SDL2 sound-file decoder
License:        zlib
Group:          System/Libraries
Url:            https://hg.icculus.org/icculus/SDL_sound/archive/
Source0:        SDL_sound-%{srcversion}.tar.bz2
Patch0:         sdl2_sound-1.0.4-includedir.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(physfs)

Conflicts:      SDL_sound < 1.0.4
Obsoletes:      SDL2_sound < 1.0.4-0.hg653.2

%description
SDL2_sound is SDL_sound but with a SDL2 backend. This is a library
that handles the decoding of several popular sound file formats, such
as .WAV and .MP3. It is meant to make the programmer's sound playback
tasks simpler. The programmer gives SDL2_sound a file-name, or feeds it
data directly from one of many sources, and then reads the decoded
waveform data back at her leisure. If resource constraints are a
concern, SDL2_sound can process sound data in programmer-specified
blocks. Alternately, SDL2_sound can decode a whole sound file and hand
back a single pointer to the whole waveform. SDL2_sound can also handle
sample rate, audio format, and channel conversion on-the-fly and
behind-the-scenes.

%package -n %{libname}
Summary:        SDL2_sound main library
Group:          System/Libraries
Obsoletes:      %{_lib}SDL2_sound1 < 1.0.4-0.hg653.2

%description -n %{libname}
%{summary}.


%package -n %{develname}
Summary:        Development files for SDL2_sound applications
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       SDL2_sound-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}SDL2_sound-devel < 1.0.4-0.hg653.2


%description -n %{develname}
%{summary}.


%package -n %{staticname}
Summary:        Static development files for SDL2_sound libraries
Group:          Development/C
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{_lib}SDL2_sound-static-devel < 1.0.4-0.hg653.2

%description -n %{staticname}
%{summary}.



%prep
%setup -q -n %{srcname}-%{srcversion}
%autopatch -p1
pushd %{_builddir}/%{srcname}-%{srcversion}
%__cp src/SDL_sound.h .
popd

%build
export CFLAGS="%{optflags} -lm"
%cmake -DCMAKE_STATIC_LIBS:BOOL=ON \
       -DCMAKE_SHARED_LIBS:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt docs/CREDITS.txt
%{_bindir}/*

%files -n %{libname}
%doc docs/README.txt docs/INSTALL.txt
%{_libdir}/libSDL2_sound.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/SDL2/SDL_sound.h

%files -n %{staticname}
%{_libdir}/lib*.a


%changelog
* Wed Mar 25 2020 wally <wally> 1.0.4-0.hg653.5.mga8
+ Revision: 1560387
- fix SDL2_sound obsoletes
- fix SDL_sound conflicts
- add more general provides to devel pkgs

* Thu Feb 20 2020 umeabot <umeabot> 1.0.4-0.hg653.4.mga8
+ Revision: 1547011
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 eatdirt <eatdirt> 1.0.4-0.hg653.3.mga8
+ Revision: 1487480
- Again trying to fix the usual Conflicts/Obsoletes MESS!

* Thu Feb 06 2020 eatdirt <eatdirt> 1.0.4-0.hg653.2.mga8
+ Revision: 1487459
- Change of package name, fix include file location
- Rename package according to policy

* Fri Jan 31 2020 eatdirt <eatdirt> 1.0.4-0.hg653.1.mga8
+ Revision: 1486113
- Importing SDL2_sound
- imported package SDL2_sound

